Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.enums
Class AbstractLabeledEnum

    java.lang.Object
      org.springframework.core.enums.AbstractLabeledEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, LabeledEnum

Direct Known Subclasses:
  AbstractGenericLabeledEnum, StaticLabeledEnum

Deprecated. as of Spring 3.0, in favor of Java 5 enums.

    @Deprecated
    public abstract class AbstractLabeledEnum

extends java.lang.Object
implements LabeledEnum

Abstract base superclass for LabeledEnum implementations.

Since:
  1.2.2
Author:
  Keith Donald, Juergen Hoeller, Sam Brannen
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.enums.LabeledEnum
`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

Constructor Summary
`protected` | `AbstractLabeledEnum()` Deprecated. Create a new AbstractLabeledEnum instance.

Method Summary
`int` | `compareTo(java.lang.Object obj)` Deprecated.
`boolean` | `equals(java.lang.Object obj)` Deprecated.
`java.lang.Class` | `getType()` Deprecated. Return this enumeration's type.
`int` | `hashCode()` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.core.enums.LabeledEnum
`getCode, getLabel`

Constructor Detail

### AbstractLabeledEnum

    protected AbstractLabeledEnum()

  Deprecated.
  Create a new AbstractLabeledEnum instance.

Method Detail

### getType

    public java.lang.Class getType()

  Deprecated.
  Description copied from interface: `LabeledEnum`
  Return this enumeration's type.

  Specified by:
    `getType` in interface `LabeledEnum`

### compareTo

    public int compareTo(java.lang.Object obj)

  Deprecated.
  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD